from django import forms

from produits.models import Produit

class ProduitForm(forms.ModelForm):

    prix = forms.FloatField()

    class Meta:
        model = Produit
        fields = ['nom', 'description', 'prix', 'image']

    def clean_prix(self):
        prix = self.cleaned_data.get('prix')

        if prix < 0 or prix == 0 or prix == None or prix =='':
            raise forms.ValidationError('le prix doit être superièeur à 0')
        return prix
    


class ArticleFilterForm(forms.Form):
    default_code = forms.CharField(required=False)  # Filtrer par auteur
    name = forms.CharField(required=False)   # Filtrer par titre
    chiffre = forms.CharField(required=False)  # Filtrer par auteur
    regle = forms.CharField(required=False)   # Filtrer par titre
    val = forms.IntegerField(required=False)   # Filtrer par titre
    gamme = forms.BooleanField(required=False)
    gamme_uniq = forms.BooleanField(required=False)
    can_prd = forms.BooleanField(required=False)
    cant_prd = forms.BooleanField(required=False)
    loc_prd = forms.BooleanField(required=False)
    prduc_prd = forms.BooleanField(required=False)
    ecart = forms.BooleanField(required=False)